set term aqua enhanced font "Helvetica, 20" dashed dl 2

time=" 120 170 520 550"
rhov32="6.95131e-01 6.69571e-01 6.35710e-01 6.92845e-01"
rhov2="7.92257e-01 7.76055e-01 7.59258e-01 8.00650e-01"

#time="100 120 170 220 270 320 370 420 470 520 550"
#rho32="7.09791e-01 6.95131e-01 6.69571e-01 6.54412e-01 6.46003e-01 6.40910e-01 6.37534e-01 6.36223e-01 6.35863e-01 6.35710e-01 6.92845e-01"
#rho2="8.06517e-01 7.92257e-01 7.76055e-01 7.68374e-01 7.64201e-01 7.61830e-01 7.60326e-01 7.59522e-01 7.59319e-01 7.59258e-01 8.00650e-01"

ic=1
tt=word(time,ic)
rho32=word(rhov32,ic)
rho2=word(rhov2,ic)

id1='LSM'
id2=tt

dir='/Users/daniela/Desktop/scenario_001/outab_beam_'.id2.'/'
fn='f7_'.id1.'_t'.id2.'.txt'
set title "Scenario 1 - ".id1."  t = ".id2.' s'



ymin=0
ymax=30

betamin=15
betamax=25

alphamax=65
betalabel=25

set xrange[0:1]
set yrange[ymin:ymax]
set cbrange[betamin:betamax]
set ytics 5
set xlabel "{/Symbol r}"
set ylabel "-J_{cd} (kA/m^2/MW)"
set cblabel "{/Symbol b} (^o)"
unset  key
set style line 1 lt 1 lc rgb "red" lw 1
set style line 2 lt 2 lc rgb "red" lw 1
set style line 3 lt 1 lc rgb "blue" lw 1
set style line 4 lt 2 lc rgb "blue" lw 1
set style line 5 lt 2 lc rgb "black" lw 1

set palette defined (0 'black', 1 'red', 2 'orange', 3 'yellow', 4 'web-green', 5 'cyan', 6 'blue', 7 'violet') negative

set arrow 1 from rho32,graph 0 to rho32,graph 1 nohead ls 5
set arrow 2 from rho2,graph 0 to rho2,graph 1 nohead ls 5
set label 1 "q=3/2" right at rho32,graph 0.9 offset -0.5,0
set label 2 "q=2" left at rho2,graph 0.9 offset 0.5,0

plot for[i=ic:ic] dir.fn u 8:($4>=0.95 &&$2<=alphamax ? (-1000*$5):1/0):1 w l lc palette, \
     dir.fn u 8:($4>=0.95 && $2<=alphamax && int($2)%5==0 ? (-1000*$5):1/0):1 w p pt 7 ps 0.5 lc rgb "black", \
     dir.fn u 8:($4>=0.95 && $2<=alphamax && int($2)%5==0 && $1==betalabel ? (-1000*$5):1/0):2 w labels offset 0,-0.6 font "Helvetica, 16"

set term postscript eps color enhanced font "Helvetica, 20"
set termoption dash
set output id1.'-'.id2."_jcdrho.eps"
replot
reset


